Axis
Date: 2016-07-03

com.icl.saxon.om

## Class Axis

- java.lang.Object
- - com.icl.saxon.om.Axis

-     public final class Axis
      extends java.lang.Object

  An axis, that is a direction of navigation in the document structure.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `ANCESTOR` Constants representing the axes
    `static byte` | `ANCESTOR_OR_SELF`
    `static byte` | `ATTRIBUTE`
    `static java.lang.String[]` | `axisName` Table giving the name each axis
    `static byte` | `CHILD`
    `static byte` | `DESCENDANT`
    `static byte` | `DESCENDANT_OR_SELF`
    `static byte` | `FOLLOWING`
    `static byte` | `FOLLOWING_SIBLING`
    `static boolean[]` | `isForwards` Table indicating for each axis whether it is in forwards document order
    `static boolean[]` | `isPeerAxis` Table indicating for each axis whether it is a peer axis.
    `static boolean[]` | `isReverse` Table indicating for each axis whether it is in reverse document order
    `static boolean[]` | `isSubtreeAxis` Table indicating for each axis whether it is contained within the subtree rooted at the origin node.
    `static byte` | `NAMESPACE`
    `static byte` | `PARENT`
    `static byte` | `PRECEDING`
    `static byte` | `PRECEDING_OR_ANCESTOR`
    `static byte` | `PRECEDING_SIBLING`
    `static short[]` | `principalNodeType` Table indicating the principal node type of each axis
    `static byte` | `SELF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Axis()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte` | `getAxisNumber(java.lang.String name)` Resolve an axis name into a symbolic constant representing the axis

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANCESTOR

          public static final byte ANCESTOR

      Constants representing the axes
      See Also:
        Constant Field Values

    - #### ANCESTOR_OR_SELF

          public static final byte ANCESTOR_OR_SELF

      See Also:
        Constant Field Values

    - #### ATTRIBUTE

          public static final byte ATTRIBUTE

      See Also:
        Constant Field Values

    - #### CHILD

          public static final byte CHILD

      See Also:
        Constant Field Values

    - #### DESCENDANT

          public static final byte DESCENDANT

      See Also:
        Constant Field Values

    - #### DESCENDANT_OR_SELF

          public static final byte DESCENDANT_OR_SELF

      See Also:
        Constant Field Values

    - #### FOLLOWING

          public static final byte FOLLOWING

      See Also:
        Constant Field Values

    - #### FOLLOWING_SIBLING

          public static final byte FOLLOWING_SIBLING

      See Also:
        Constant Field Values

    - #### NAMESPACE

          public static final byte NAMESPACE

      See Also:
        Constant Field Values

    - #### PARENT

          public static final byte PARENT

      See Also:
        Constant Field Values

    - #### PRECEDING

          public static final byte PRECEDING

      See Also:
        Constant Field Values

    - #### PRECEDING_SIBLING

          public static final byte PRECEDING_SIBLING

      See Also:
        Constant Field Values

    - #### SELF

          public static final byte SELF

      See Also:
        Constant Field Values

    - #### PRECEDING_OR_ANCESTOR

          public static final byte PRECEDING_OR_ANCESTOR

      See Also:
        Constant Field Values

    - #### principalNodeType

          public static final short[] principalNodeType

      Table indicating the principal node type of each axis

    - #### isForwards

          public static final boolean[] isForwards

      Table indicating for each axis whether it is in forwards document order

    - #### isReverse

          public static final boolean[] isReverse

      Table indicating for each axis whether it is in reverse document order

    - #### isPeerAxis

          public static final boolean[] isPeerAxis

      Table indicating for each axis whether it is a peer axis. An axis is a peer axis if no node on the axis is an ancestor of another node on the axis.

    - #### isSubtreeAxis

          public static final boolean[] isSubtreeAxis

      Table indicating for each axis whether it is contained within the subtree rooted at the origin node.

    - #### axisName

          public static final java.lang.String[] axisName

      Table giving the name each axis

  - ### Constructor Detail

    - #### Axis

          public Axis()

  - ### Method Detail

    - #### getAxisNumber

          public static byte getAxisNumber(java.lang.String name)
                                    throws XPathException

      Resolve an axis name into a symbolic constant representing the axis
      Throws:
        `XPathException`